Subject: bug#18451: 24.4.50; 'toggle-frame-fullscreen' can cut off minibuffer

From: Matthew Leach <[email-masked]>
Date: Thu, 18 Sep 2014 13:01:42 +0100

Hi Martin,

martin rudalics <[email-masked]> writes:

>>> Does (setq frame-resize-pixelwise t) change anything?
>>
>> I'm afraid not. I'm still seeing the bug after evaluating this form.
>
> Just for the record, even if you eval the form when startin Emacs?

Actually, I hadn't done that, I just evaluated it in the scratch buffer.
However, when I paste this as the first form in my .emacs it seems to
fix the issue! I've been toggling for about 10 minutes now and haven't
seen an occurrence of the bug.

>
>
>> Hm, sorry I think there was a problem in my original trace, I've given
>> it another shot.
>>
>> Here is a bug-free trace:
>>
>> Received ConfigureNotify event for frame: 0x6781b0
>> Received ConfigureNotify event for frame: 0x6781b0
>> Received ConfigureNotify event for frame: (nil)
>> xg_frame_resized(0x6781b0, 1366, 768);
>> configure_frame_size(0x6781b0, 1350, 768, 330584, 1, 0, 1);
>> configure_frame_size(0x6781b0, 1350, 768, 330584, 0, 0, 1);
>> Received ConfigureNotify event for frame: 0x6781b0
>>
>>
>> And a buggy-trace:
>>
>> Received ConfigureNotify event for frame: 0x6781b0
>> Received ConfigureNotify event for frame: (nil)
>> xg_frame_resized(0x6781b0, 1366, 768);
>> configure_frame_size(0x6781b0, 1350, 768, 330584, 1, 0, 1);
>> configure_frame_size(0x6781b0, 1350, 768, 330584, 0, 0, 1);
>> Received ConfigureNotify event for frame: 0x6781b0
>> Received ConfigureNotify event for frame: 0x6781b0
>
> Sorry, I somehow lost the initial part of this thread.  These two traces
> don't document any affect on the minibuffer - the heights (768) are
> always the same.  What does `configure_frame_size' stand for?  

Oops, configure_frame_size should be `change_frame_size' defined in
dispnew.c

> Are the traces here in chronological order or reversed?  

They are in chronological order.

> And how do you get a ConfigureNotify event for a frame `nil'?

I'm not sure, but it seems to be expected behaviour as there is an
explicit test for it in the ConfigureNotify event handler.  The frame is
set to `any' if x_top_window_to_frame returns null.
-- 
Matt